Bug 189301 - Review Request: pygame - Python modules for writing games
Summary: Review Request: pygame - Python modules for writing games
Status: CLOSED NEXTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review   
(Show other bugs)
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Wart
QA Contact: Fedora Package Reviews List
URL:
Whiteboard:
Keywords:
Depends On:
Blocks: FE-ACCEPT
TreeView+ depends on / blocked
 
Reported: 2006-04-18 22:35 UTC by Christopher Stone
Modified: 2010-06-11 04:13 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-04-21 17:58:08 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
kevin: fedora-cvs+


Attachments (Terms of Use)
x86_64 build warnings (36.82 KB, text/plain)
2006-04-20 20:41 UTC, Wart
no flags Details

Description Christopher Stone 2006-04-18 22:35:44 UTC
Spec URL: http://tkmame.retrogames.com/fedora-extras/pygame.spec
SRPM URL: http://tkmame.retrogames.com/fedora-extras/pygame-1.7.1-1.src.rpm

** NOTE ** You may have to download the src.rpm from http://tkmame.retrogames.com/fedora-extras/

Description:

Pygame is a set of Python modules designed for writing games. It is
written on top of the excellent SDL library. This allows you to create
fully featured games and multimedia programs in the python language.
Pygame is highly portable and runs on nearly every platform and
operating system.

Comment 1 Wart 2006-04-20 20:41:30 UTC
Created attachment 128067 [details]
x86_64 build warnings

I get a number of potentially problematic build warnings on x86_64 like this:
src/mixer.c:84: warning: cast from pointer to integer of different size

These occur in the following files:
src/mixer.c
src/surface.c
src/time.c

Comment 2 Christopher Stone 2006-04-20 21:30:37 UTC
Spec URL: http://tkmame.retrogames.com/fedora-extras/pygame.spec
SRPM URL: http://tkmame.retrogames.com/fedora-extras/pygame-1.7.1-2.src.rpm

** NOTE ** You may have to download the src.rpm from
http://tkmame.retrogames.com/fedora-extras/

%changelog
* Thu Apr 20 2006 Christopher Stone <chris.stone@gmail.com> 1.7.1-2
- Added a patch to clean up some warnings on 64 bit compiles


Comment 3 Wart 2006-04-20 23:50:24 UTC
rpmlint output clean.

MUST
====
* Package and spec file named appropriately
* Source matches upstream
  05d86d1af446f79411359400951053b7  pygame-1.7.1release.tar.gz
* LGPL license ok.  License file included
* Spec file legible and in Am. English
* Compiles and builds in mock on:
  FC-4 i386, FC-4 x86_64, FC-5 i386, FC-5 x86_64
* No offensive BR:
* No locales
* No .so's needed in the linker's path
* Not relocatable
* Owns directories that it creates
* No duplicate %files
* %{buildroot} cleaned in %clean and at start of %install
* Macro usage consistent
* headers placed in -devel package
* -devel requires base
* No .la files
* No .desktop file needed

MUSTFIX
=======
* python-abi isn't needed on FC-4 and later:
  http://fedoraproject.org/wiki/Packaging/Python

Please remove the Requires: on python-abi after importing.

APPROVED


Comment 4 Ville Skyttä 2006-04-21 06:18:36 UTC
Obsoletes: python-pygame < 1.7.1
Provides: python-pygame = %{version}-%{release}

The above would be appreciated in order to achieve clean upgrades from the same
(orphaned) package in livna.org.

The two '='s in the -devel dependency look suspicious:
Requires: %{name} == %{version}-%{release}



Comment 5 Christopher Stone 2006-04-21 17:58:08 UTC
Fixed as release 3.  Perhaps someone on livna could make a pygame-nonfree rpm or
something?  I did not know this rpm even existed! :o)

Comment 6 Wart 2006-04-21 18:03:13 UTC
What was in the livna package that made it non-free?  Perhaps it had a
dependency on smpeg, mp3, or something like that?

Comment 7 Christopher Stone 2006-04-21 18:11:17 UTC
The full package requires smpeg-devel to create a movie.so file.  I think that
is the only extra file that is missing.  The -devel package I build includes an
ffmovie.h file, but I think this is okay to include.  Let me know otherwise.

Comment 8 Wart 2006-04-21 18:46:42 UTC
From what I can tell, the ffmovie.{c|h} files are only wrappers that call into
the ffmpeg library to do the actual decoding work.  I don't believe this is a
problem, especially since movie.so doesn't get build, resulting in no dependency
on mpeg libraries.

Comment 9 Ville Skyttä 2006-04-21 21:02:18 UTC
ffmovie.h is not too useful in this -devel package though because it contains
"#include <ffmpeg/avformat.h>".

By the way, -devel is missing these (see #include's in installed headers):
Requires: python-devel
Requires: SDL_ttf-devel
Requires: SDL_mixer-devel


Comment 10 Christopher Stone 2006-04-21 23:02:45 UTC
Fixed in release 4.  Thanks.

Comment 11 Christopher Stone 2008-08-15 19:05:35 UTC
Package Change Request
======================
Package Name: pygame
Updated Fedora Owners: xulchris rnorwood

Comment 12 Jason Tibbitts 2008-08-15 20:26:22 UTC
You don't have to make a CVS request to change ownership; the new owner just needs to drop by the pkgdb and click "Add myself to this package", and the existing owner can accept.  When Fedora comes back up, of course.

Comment 13 Toshio Kuratomi 2008-08-23 19:08:54 UTC
cvs done.

Comment 14 Peter Robinson 2010-06-10 20:30:34 UTC
Package Change Request
======================
Package Name: pygame
New Branches: EL-6
Owners: pbrobinson sdz

Comment 15 Kevin Fenzi 2010-06-11 04:13:28 UTC
There is already a EL-6 branch. You should be able to add yourself in pkgdb


Note You need to log in before you can comment on or make changes to this bug.